@import "../base/variable.scss";
@import "../base/mixins.scss";

.business_detail_section{
    margin-top: 190px;
    margin-bottom: 65px;
    .content_box{
        .top_spc{
            margin-top: -100px;
        }
        .business_detail_area{
            padding-top: 30px;
            @include clearfix();
            .left{
                width: 50%;
                float: left;
                padding-right: 15px;
                text-align: right;
                .header{
                    h2{
                        color: $light_blue;
                        font-size: 24px;
                        font-weight: 500;
                    }
                }
                .content{
                    padding-top: 15px;
                    p{
                        font-size: 14px;
                        font-weight: 500;
                        line-height: 22px;
                        color: $offfspra2;
                    }
                }
                &.left_align{
                    text-align: left;
                    padding-left: 15px;
                    padding-right: 0;
                }
            }
            .right{
                padding-left: 15px;
                width: calc(100% - 50%);
                float: left;
                .image_area{
                    height: 390px;
                    img{
                        width: 100%;
                        height: 100%;
                        object-fit: cover;
                    }
                }
                &.right_space{
                    padding-right: 15px;
                    padding-left: 0;
                }
            }
        }
    }
}


/* Extra Huge large desktops */
@media (min-width: 1920px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    
}
@media (min-width: 1200px) and (max-width: 1399px) {
    
}
/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .business_detail_section{
        margin-top: 120px;
        margin-bottom: 0px;
    }
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .business_detail_section{
        margin-top: 0;
        margin-bottom: 30px;
        .content_box{
            .top_spc{
                margin-top: 0px;
            }
            .business_detail_area{
                padding-top: 15px;
                .left{
                    text-align: left;
                    padding-left:15px;
                }
                .right{
                    .image_area{
                        height: 300px;
                    }
                    &.right_space{
                        padding-left: 15px;
                        padding-right: 0;
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .business_detail_section{
        margin-top: 0;
        margin-bottom: 30px;
        .content_box{
            .top_spc{
                margin-top: 0px;
            }
            .business_detail_area{
                padding-top: 15px;
                .left{
                    text-align: left;
                    padding-left:15px;
                    .header{
                        h2{
                            font-size: 19px;
                        }
                    }
                    .content{
                        padding-top: 7px;
                    }
                }
                .right{
                    .image_area{
                        height: 267px;
                    }
                    &.right_space{
                        padding-right: 0;
                        padding-left: 15px;
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .integrated_metering_section{
        .inner_area{
            .content_area{ 
                .content{
                    p{
                        line-height: 22px;
                    }
                }
            }
        }
    }
    .business_detail_section{
        margin-top: 0;
        margin-bottom: 20px;
        .content_box{
            .top_spc{
                margin-top: 0px;
            }
            .business_detail_area{
                padding-top: 15px;
                .left{
                    text-align: left;
                    padding-left:0px;
                    padding-top: 15px;
                    padding-bottom: 15px;
                    width: 100%;
                    .header{
                        h2{
                            font-size: 19px;
                        }
                    }
                    .content{
                        padding-top: 7px;
                    }
                    &.left_align{
                        padding-left: 0;
                    }
                }
                .right{
                    padding-left: 0;
                    width: 100%;
                    .image_area{
                        height: 267px;
                    }
                    &.right_space{
                        padding-right: 0;
                        padding-left: 0px;
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
    .integrated_metering_section{
        .inner_area{
            .content_area{ 
                .content{
                    p{
                        line-height: 22px;
                    }
                }
            }
        }
    }
    .business_detail_section{
        margin-top: 0;
        margin-bottom: 20px;
        .content_box{
            .top_spc{
                margin-top: 0px;
            }
            .business_detail_area{
                padding-top: 15px;
                .left{
                    text-align: left;
                    padding-left:0px;
                    padding-top: 15px;
                    padding-bottom: 15px;
                    width: 100%;
                    .header{
                        h2{
                            font-size: 19px;
                        }
                    }
                    .content{
                        padding-top: 7px;
                    }
                    &.left_align{
                        padding-left: 0;
                    }
                }
                .right{
                    padding-left: 0;
                    width: 100%;
                    .image_area{
                        height: 267px;
                    }
                    &.right_space{
                        padding-right: 0;
                        padding-left: 0px;
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    
}